org.osgi.framework.wiring

## Interface BundleWire

All Superinterfaces:
  Wire

All Known Implementing Classes:
  BundleWireImpl

    @ProviderType
    public interface BundleWire
    extends Wire

A wire connecting a `BundleCapability` to a `BundleRequirement`.

Author:
  $Id: 9877055d8ebbe52b82ec16b876d4491a47a106ef $

### Method Summary

All Methods Instance Methods Abstract Methods
`BundleCapability` `getCapability()` Returns the `BundleCapability` for this wire.
`BundleRevision` `getProvider()` Returns the resource providing the `capability`.
`BundleWiring` `getProviderWiring()` Returns the bundle wiring `providing` the `capability`.
`BundleRequirement` `getRequirement()` Return the `BundleRequirement` for this wire.
`BundleRevision` `getRequirer()` Returns the resource who `requires` the `capability`.
`BundleWiring` `getRequirerWiring()` Returns the bundle wiring who `requires` the `capability`.

### Methods inherited from interface org.osgi.resource.Wire

`equals, hashCode`

### Method Detail

#### getCapability

    BundleCapability getCapability()

Returns the `BundleCapability` for this wire.

Specified by:
  `getCapability` in interface `Wire`
Returns:
  The `BundleCapability` for this wire.

#### getRequirement

    BundleRequirement getRequirement()

Return the `BundleRequirement` for this wire.

Specified by:
  `getRequirement` in interface `Wire`
Returns:
  The `BundleRequirement` for this wire.

#### getProviderWiring

    BundleWiring getProviderWiring()

Returns the bundle wiring `providing` the `capability`.

The bundle revision referenced by the returned bundle wiring may differ from the bundle revision referenced by the `capability`.

Returns:
  The bundle wiring providing the capability. If the bundle wiring providing the capability is not `in use`, `null` will be returned.

#### getRequirerWiring

    BundleWiring getRequirerWiring()

Returns the bundle wiring who `requires` the `capability`.

The bundle revision referenced by the returned bundle wiring may differ from the bundle revision referenced by the `requirement`.

Returns:
  The bundle wiring whose requirement is wired to the capability. If the bundle wiring requiring the capability is not `in use`, `null` will be returned.

#### getProvider

    BundleRevision getProvider()

Returns the resource providing the `capability`.

The returned resource may differ from the resource referenced by the `capability`.

This method returns the same value as `getProviderWiring()`. `getRevision()`.

Specified by:
  `getProvider` in interface `Wire`
Returns:
  The resource providing the capability.
Since:
  1.1

#### getRequirer

    BundleRevision getRequirer()

Returns the resource who `requires` the `capability`.

The returned resource may differ from the resource referenced by the `requirement`.

This method returns the same value as `getRequirerWiring()`. `getRevision()`.

Specified by:
  `getRequirer` in interface `Wire`
Returns:
  The resource who requires the capability.
Since:
  1.1